<packet name="MerchantItemMarketplace">
	<version number="1188">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="1193">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="1205">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="57048">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="57107">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="58571">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="58617">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="60024">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="60055">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="60174">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
	<version number="63119">
		<substruct name="header" use="MerchantItemDescription">
		<u8 name="num_rewards">
		<array name="rewards_array" count="var:num_rewards">
			<i32 name="item_id">
			<i32 name="item_crc">
			<u16 name="item_icon">
			<str8 name="item_name">
		</array>
		<substruct name="footer" use="ItemFooter">
	</version>
</packet>